title: Two-Level Sentiment Analysis of X / Twitter posts
type: community
group: Community Contributions
image: /static/templates/community-contributions/two-level-sentiment-analysis-of-x-twitter-posts.jpg
details: <h1>Two-Level Sentiment Analysis of X / Twitter posts</h1>
source_repo: https://github.com/humanSignal/awesome-label-studio-config/tree/main/label-configs/two-level-sentiment-analysis-of-x-twitter-posts
config: |
  <View>
  <!-- Template sourced from awesome-label-studio-config repository: https://github.com/humanSignal/awesome-label-studio-config/tree/main/label-configs/two-level-sentiment-analysis-of-x-twitter-posts -->
  
    <!-- CSS fix for the legacy plaground -->
    <Style>
      .htx-text{padding:0; background: transparent; border:none;}
    </Style>
    <View 
      style="
        border: 1px solid #e1e8ed;
        border-radius: 8px;
        padding: 10px;
        max-width: 500px;
        background-color: #fff;
        font-family: Arial, sans-serif;
      "
    >
      <View 
        style="
          display: flex;
          align-items: center;
          gap: 10px;
        "
      >
        <View 
          style="
            width: 40px;
            height: 40px;
            border-radius: 50%;
            background-color: #ccc;
            background-image: url('https://randomuser.me/api/portraits/men/3.jpg');
            background-size: cover;
          "
        ></View>
        <Header name="username" value="John Doe" />
        <Text name="handle" value="@johndoe" style="color:gray;" />
        <Text name="timestamp" value="· 2 hrs ago" style="color:gray;" />
      </View>
      <View style="margin-top: 8px;">
        <Text name="tweet" value="$tweet" />
      </View>
      <View 
        style="
          display: flex;
          justify-content: space-between;
          font-size: 12px;
          color: #657786;
          margin-top: 20px;
        "
      >
        <Text name="comments" value="💬 10" />
        <Text name="retweets" value="🔁 3" />
        <Text name="likes" value="❤️ 7" />
        <Text name="views" value="📊 134" />
        <Text name="other" value="🔖 ⬆" />
      </View>
    </View>
  
    <Choices name="sentiment" toName="tweet" choice="single">
      <Choice value="Positive" hint="Click on it if it says something nice or good" />
      <Choice value="Neutral" hint="Click on it if overall it doesn't express any sentiment" />
      <Choice value="Negative" hint="Click on if it says something bad or unpleasant" />
    </Choices>
    
    <Choices name="other-props" toName="tweet"
             choice="multiple" showInLine="true"
             visibleWhen="choice-selected"
             whenTagName="sentiment">
      <View style="width:100%">
        <Header value="Other properties of the post" />
      </View>
      <Choice value="Descriptive" />
      <Choice value="Emotional" hint="Click on it if it shows moderate to strong sentiment" />
      <Choice value="Mixed" hint="Click on it if multiple conflicting sentiments are present"/>
      <Choice value="Ambigous" hint="Click on it if it is irrelevant or unclear"/>
      <Choice value="Sarcams" hint="Click on it if it shows ironic or sarcastic content"/>
    </Choices>
  </View>
  
  <!-- [
    { "text": "💖😭 Just got accepted to my DREAM university!! Still shaking, still crying—this is the BEST day of my life!!! Hard work truly pays off!! 🎓✨ #Grateful #DreamComeTrue #BeyondHappy" },
    { "text": "The quarterly financial report was published today. Revenue increased by 2%, while operating costs remained stable compared to last quarter. #FinancialReport #Q1Results." },
    { "text": "😠 Can't believe the delivery got delayed again—third time this week! Extremely frustrating and disappointing customer service. #Fail #PoorService" }
  ]
  -->
